/**
 * @file Exported variable constants.
 * @module constants
 */

/** @constant {string} */
const GROUP_DELIMITER = '.';

/** @constant {string} */
const GROUP_MASK = '*';

/** @constant {string} */
const BACKGROUND = 'background';

/** @constant {string} */
const BACKGROUND_IMAGE = 'background-image';

/** @constant {string} */
const BACKGROUND_COLOR = 'background-color';

/** @constant {Array} */
const SPRITE_LAYOUTS = [
  'alt-diagonal',
  'binary-tree',
  'diagonal',
  'left-right',
  'top-down',
];

/** @constant {string} */
const DEFAULT_LAYOUT = 'binary-tree';

/** @constant {number} */
const DEFAULT_PADDING = 20;

module.exports.GROUP_DELIMITER = GROUP_DELIMITER;
module.exports.GROUP_MASK = GROUP_MASK;
module.exports.BACKGROUND = BACKGROUND;
module.exports.BACKGROUND_IMAGE = BACKGROUND_IMAGE;
module.exports.BACKGROUND_COLOR = BACKGROUND_COLOR;
module.exports.SPRITE_LAYOUTS = SPRITE_LAYOUTS;
module.exports.DEFAULT_LAYOUT = DEFAULT_LAYOUT;
module.exports.DEFAULT_PADDING = DEFAULT_PADDING;
